Subject: [TR] Diff

From: Joao Simoes <[email-masked]>
Date: Sun, 29 Mar 2015 08:24:10 -0400

Hey guys, can anyone give me tips about what to check on the GT6's diff to see if it's ok?
As some of you know I am building a GT6 convertible and the donor cars diff has 46,000 miles. I pulled to cover off and am just planning on powder coating it. So now I can see the guts and it spins smoothly. Are there any visual checks or measurements I can make to make sure it's ok?

Take care,

Joao

** [email-masked] **

Archive: http://www.team.net/archive